# Research projects in Neural Structured Learning

Note that these research projects are not included in the prebuilt NSL pip
package.

## [Low-Dimensional Hyperbolic Knowledge Graph Embeddings](kg_hyp_emb)

The implementations of Low-Dimensional Hyperbolic Knowledge Graph Embeddings [3]
are provided in the `kg_hyp_emb` folder on a strict "as is" basis, without
warranties or conditions of any kind. Also, these implementations may not be
compatible with certain TensorFlow versions or Python versions.

[3] Chami, Ines, et al. "Low-Dimensional Hyperbolic Knowledge Graph Embeddings."
ACL 2020.

## [A2N](a2n): Attending to Neighbors for Knowledge Graph Inference

The implementations of A2N [2] are provided in the `a2n` folder on a strict "as
is" basis, without warranties or conditions of any kind. Also, these
implementations may not be compatible with certain TensorFlow versions or Python
versions.

[[2] T. Bansal, D. Juan, S. Ravi and A. McCallum. "A2N: Attending to Neighbors
for Knowledge Graph Inference." ACL
2019](https://www.aclweb.org/anthology/P19-1431)

## [GAM](gam): Graph Agreement Models for Semi-Supervised Learning

The implementations of Graph Agreement Models (GAMs) [1] are provided in the
`gam` folder on a strict "as is" basis, without warranties or conditions of any
kind. Also, these implementations may not be compatible with certain TensorFlow
versions or Python versions.

[[1] O. Stretcu, K. Viswanathan, D. Movshovitz-Attias, E.A. Platanios, S. Ravi,
A. Tomkins. "Graph Agreement Models for Semi-Supervised Learning." NeurIPS
2019](https://papers.nips.cc/paper/9076-graph-agreement-models-for-semi-supervised-learning)
